Name:           PragmARC
Version:        20060427
Release:        7%{?dist}
Summary:        PragmAda Reusable Components, a component library for Ada
Summary(sv):    PragmAda Reusable Components, ett komponentbibliotek för ada

Group:          System Environment/Libraries
License:        GPLv2+ with exceptions
URL:            http://pragmada.x10hosting.com/pragmarc.htm
Source1:        http://pragmada.x10hosting.com/pragmarc.zip
Source2:        build_pragmarc.gpr
Source3:        pragmarc.gpr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gnat fedora-gnat-project-common dos2unix chrpath

%description
The PragmAda Reusable Components (PragmARCs) is a library of containers,
algorithms and utility components for Ada, ranging from the basic-but-essential
to the high-level.

%description -l sv
PragmAda Reusable Components (PragmARC) är ett bibliotek med behållare,
algoritmer och nyttiga komponenter för ada. Det innehåller såväl grundläggande
byggstenar som högnivåkomponenter.

%package        devel
Summary:        Development files for %{name}
Summary(sv):    Filer för programmering med %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} fedora-gnat-project-common

%description    devel
The %{name}-devel package contains source code and linking information for
developing applications that use %{name}.

%description    devel -l sv
Paketet %{name}-devel innehåller källkod och länkningsinformation som behövs
för att utveckla program som använder %{name}.


%prep
%setup -c -T
unzip %{SOURCE1}
cp -p %{SOURCE2} pragmarc.gpr


%build
# Prepare build target directories.
mkdir --parents build_target%{_includedir}/pragmarc build_target%{_libdir}/pragmarc
# Prepare a subdirectory to put the binder file in.
mkdir %{_arch}
# Delete files that won't be used.
rm compile_all.adb assertion_handler.adb
# Compile the library.
gnatmake -P pragmarc.gpr %{GNAT_optflags} -XPragmARC_Build_Target=build_target
# Remove the unnecessary runpath that Gnatmake added.
chrpath --delete build_target%{_libdir}/libpragmarc.so.%{version}
# Convert line breaks.
dos2unix --keepdate license.txt readme.txt arc_list.txt design.txt Test/*


%install
rm -rf %{buildroot}
mv build_target %{buildroot}
# Add the project file for projects that use this library.
mkdir --parents %{buildroot}%{_GNAT_project_dir}
cp -p %{SOURCE3} %{buildroot}%{_GNAT_project_dir}/


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt gpl.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc readme.txt arc_list.txt design.txt Test
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pragmarc
%{_GNAT_project_dir}/*


%changelog
* Thu Jul 08 2010 Björn Persson <bjorn@rombobjörn.se> - 20060427-7
- Rebuilt with GCC 4.5.

* Tue Nov 03 2009 Björn Persson <bjorn@rombobjörn.se> - 20060427-6
- Resolved a conflict between debuginfo packages.

* Fri Oct 30 2009 Björn Persson <bjorn@rombobjörn.se> - 20060427-5
- Removed a symlink correction that isn't needed in Fedora 11 and later.

* Wed Aug 05 2009 Björn Persson <bjorn@rombobjörn.se> - 20060427-4
- Updated the URLs because the PragmAda site moved.

* Thu Jul 23 2009 Björn Persson <bjorn@rombobjörn.se> - 20060427-3
- Added a BuildRoot tag even though it's unnecessary.

* Thu Jul 02 2009 Björn Persson <bjorn@rombobjörn.se> - 20060427-2
- updated to require fedora-gnat-project-common

* Sun Jun 28 2009 Björn Persson <bjorn@rombobjörn.se> - 20060427-1
- ready to be submitted for review
